RK-A - Bug #1920

Reduce execution time of kpe_script.py
11/24/2021 01:44 PM - Nandini Bansal

Status: Resolved Start date: 11/25/2021
Priority: Normal Due date:

Assignee: Nandini Bansal % Done: 100%
Category: Estimated time: 1.00 hour
Target version: P1 Spent time: 0.00 hour
Description

Kpe_script.py is known to take a long time to run for a bunch of books like Library Reference, Numpy User Guide, etc. One of the
reasons is that it runs functions for extracting keyphrases from the dataset using textacy and noun_chunks even when they are not
being used currently. We should make changes to ensure that these functions are not called and columns (in CSV) where this data

was supposed to be added should be left empty.

History

#1 - 11/25/2021 05:21 AM - Nandini Bansal

- Assignee set to Nandini Bansal

#2 - 11/25/2021 07:06 AM - Nandini Bansal
- Status changed from New to In Progress

- Start date changed from 11/24/2021 to 11/25/2021

#3 - 11/30/2021 05:51 AM - Nandini Bansal

- Status changed from In Progress to Resolved

#4 - 11/30/2021 05:52 AM - Nandini Bansal
- % Done changed from 0 to 100
